|  | Home · All Namespaces · All Classes · Main Classes · Grouped Classes · Modules · Functions |

# Q3TextDrag Class Reference
[Qt3Support module]

The Q3TextDrag class is a drag and drop object for transferring plain and Unicode text. More...

     #include <Q3TextDrag>

This class is part of the Qt 3 support library. It is provided to keep old source code working. We strongly advise against using it in new code. See Porting to Qt 4 for more information.

Inherits Q3DragObject.

- List of all members, including inherited members

### Public Functions

- Q3TextDrag ( const QString & text, QWidget * dragSource = 0, const char * name = 0 )
- Q3TextDrag ( QWidget * dragSource = 0, const char * name = 0 )
- ~Q3TextDrag ()
- virtual void setSubtype ( const QString & subtype )
- virtual void setText ( const QString & text )

- 9 public functions inherited from Q3DragObject
- 29 public functions inherited from QObject
- 3 public functions inherited from QMimeSource

### Static Public Members

- bool canDecode ( const QMimeSource * source )
- bool decode ( const QMimeSource * source, QString & string )
- bool decode ( const QMimeSource * source, QString & string, QString & subtype )

- 1 static public member inherited from Q3DragObject
- 5 static public members inherited from QObject

### Additional Inherited Members

- 1 property inherited from QObject
- 1 public slot inherited from QObject
- 1 signal inherited from QObject
- 1 protected function inherited from Q3DragObject
- 7 protected functions inherited from QObject

## Detailed Description

The Q3TextDrag class is a drag and drop object for transferring plain and Unicode text.

Plain text is passed in a QString which may contain multiple lines (i.e. may contain newline characters). The drag target will receive the newlines according to the runtime environment, e.g. LF on Unix, and CRLF on Windows.

Qt provides no built-in mechanism for delivering only a single-line.

For more information about drag and drop, see the Q3DragObject class and the drag and drop documentation.

## Member Function Documentation

### Q3TextDrag::Q3TextDrag ( const QString & text, QWidget * dragSource = 0, const char * name = 0 )

Constructs a text drag object with the given name, and sets its data to text. The dragSource is the widget that the drag operation started from.

### Q3TextDrag::Q3TextDrag ( QWidget * dragSource = 0, const char * name = 0 )

Constructs a default text drag object with the given name. The dragSource is the widget that the drag operation started from.

### Q3TextDrag::~Q3TextDrag ()

Destroys the text drag object.

### bool Q3TextDrag::canDecode ( const QMimeSource * source ) `[static]`

Returns true if the information in the MIME source can be decoded into a QString; otherwise returns false.

See also decode().

### bool Q3TextDrag::decode ( const QMimeSource * source, QString & string ) `[static]`

Attempts to decode the dropped information in the MIME source into the string given. Returns true if successful; otherwise returns false.

See also canDecode().

### bool Q3TextDrag::decode ( const QMimeSource * source, QString & string, QString & subtype ) `[static]`

This is an overloaded member function, provided for convenience.

Attempts to decode the dropped information in the MIME source into the string given. Returns true if successful; otherwise returns false. If subtype is null, any text subtype is accepted; otherwise only the specified subtype is accepted.

See also canDecode().

### void Q3TextDrag::setSubtype ( const QString & subtype ) `[virtual]`

Sets the MIME subtype of the text being dragged. The default subtype is "plain", so the default MIME type of the text is "text/plain". You might use this to declare that the text is "text/html" by calling setSubtype("html").

### void Q3TextDrag::setText ( const QString & text ) `[virtual]`

Sets the text to be dragged. You will need to call this if you did not pass the text during construction.